<?php

defined('_MAILING') or die('Restricted access');

$id_campaign = (int)($_GET['c']);
$id_recipient = (int)($_GET['r']);

if ($id_campaign == 0 || $id_recipient == 0) {
    exit();
}

$sql = "
    UPDATE m_campaign_rec_conn SET 
        status = '2',
        ip_receiver = '".$_SERVER["REMOTE_ADDR"]."'
    WHERE 1
        and id_campaign = :id_campaign
        and id_recipient = :id_recipient
";
$stmt = $db->prepare($sql);
$stmt->bindParam(':id_campaign', $id_campaign, PDO::PARAM_STR);
$stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_STR);
$stmt->execute(); 

// get recipient data
$stmt = $db->query(" SELECT * from m_recipient WHERE id = '".$id_recipient."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$recipient_name = $row[0]['person'];
$recipient_email = $row[0]['email'];
$recipient_txt_only = (int)$row[0]['txt_only'];

// get template data
$stmt = $db->query(" SELECT id_template FROM m_campaign WHERE id = '".$id_campaign."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$id_template = $row[0]['id_template'];

// get template data details
$stmt = $db->query(" SELECT * from m_template WHERE id = '".$id_template."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$email_subject = $row[0]['subject'];
$email_content_html	= $row[0]['content_html'];
$email_content_txt	= $row[0]['content_txt'];

// set up email tracker
if ((int)(Settings::$enableTracking)) {
    $tracker_script = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'].'?manage=campaign&adata=modify&action=track&c='.$id_campaign.'&r='.$id_recipient;
    $email_tracker = '<img src="'.$tracker_script.'" width="0" height="0">';
}else{
    $email_tracker = '';
}

// set up click link
$click_link = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'].'?manage=campaign&adata=modify&action=click&c='.$id_campaign.'&r='.$id_recipient.'&link=';
$email_content_html = str_replace('href="', 'href="'.$click_link, $email_content_html);


// set up unsubscribe link
$unsubscribe_link = 'index.php?manage=campaign&adata=modify&action=unsubscribe&c='.$id_campaign.'&r='.$id_recipient;

// prepare browser content
$subject = str_replace('{RECIPIENT_NAME}', $recipient_name, $email_subject);
$message_html = str_replace('{RECIPIENT_NAME}', $recipient_name, $email_content_html);
$message_html = str_replace('{UNSUBSCRIBE}', $unsubscribe_link, $message_html);

// update campaign data
$sql = "
    UPDATE m_campaign SET
        date_start = '".date("Y-m-d H:i:s", time())."',
        status = '1'
    WHERE id = :id
";
$stmt = $db->prepare($sql);
$stmt->bindParam(':id', $id_campaign, PDO::PARAM_INT);
$stmt->execute();


// update campaign recipient connection data
$sql = "
    UPDATE m_campaign_rec_conn SET
        date_sent = '".date("Y-m-d H:i:s", time())."',
        status = '1'
    WHERE 1
        and id_campaign = :id_campaign
        and id_recipient = :id_recipient
";
$stmt = $db->prepare($sql);
$stmt->bindParam(':id_campaign', $id_campaign, PDO::PARAM_INT);
$stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_INT);
$stmt->execute();

// show email on web browser
echo "
    <!DOCTYPE html>
    <html>
        <head>
            <title>".$subject."</title>
            <meta http-equiv='content-type' content='text/html;charset=utf-8' />
        </head>
        <body>
            ".$message_html."
            ".$email_tracker."
        </body>
    </html>
";


exit();
