<?php

defined('_MAILING') or die('Restricted access');

$app->checkToken();

$filename = rand(1000000000,9000000000).".csv";

if (strtoupper(substr(PHP_OS,0,3)=='WIN')) {
    $eol="\r\n";
} elseif (strtoupper(substr(PHP_OS,0,3)=='MAC')) {
    $eol="\r";
} else {
    $eol="\n";
}
$recipients = '';

$db->query(" SET NAMES cp1250 ");

$result = $db->query("
    SELECT
        r.id,
        r.date_create,
        r.date_modify,
        r.person,
        r.email,
        r.comment,
        r.txt_only,
        (
            SELECT group_concat(rt.name SEPARATOR ' ') AS tags 
            FROM m_recipient_tag_conn AS rc 
            left join m_recipient_tag AS rt on(rc.id_tag=rt.id)
            WHERE r.id=rc.id_recipient
        ) AS tags
    FROM m_recipient AS r
");

foreach ($result as $row) {
    $recipients .= $row['email'];
    $recipients .= isset($_POST['person']) ? ';'.$row['person'] : '';
    $recipients .= isset($_POST['tags']) ? ';'.$row['tags'] : '';
    $recipients .= isset($_POST['comment']) ? ';'.$row['comment'] : '';
    $recipients .= isset($_POST['txt_only']) ? ';'.$row['txt_only'] : '';
    $recipients .= isset($_POST['date_create']) ? ';'.$row['date_create'] : '';
    $recipients .= isset($_POST['date_modify']) ? ';'.$row['date_modify'] : '';
    $recipients .= $eol;
}

header('Content-Description: File Transfer'.$eol);
header('Content-Type: application/octet-stream'.$eol);
header('Content-Disposition: attachment; filename='.$filename.$eol);
header('Expires: 0'.$eol);
header('Cache-Control: must-revalidate'.$eol);
header('Pragma: public'.$eol);
header('Content-Length: '.strlen($recipients).$eol);
echo $recipients;
exit();
