<?php

defined('_MAILING') or die('Restricted access');

if (DEMO_MODE) {
    header("Location: index.php?manage=recipient&action=list");
    exit();
}

$app->checkToken();

$person = $_POST['recipientname'];
$email = $_POST['recipientmail'];
$comment = $_POST['recipientcomment'];
$txt_only = isset($_POST['textonly']) ? 1 : 0 ;
$tags = isset($_POST['tags']) ? $_POST['tags'] : 0 ;

$sql = "
    INSERT INTO m_recipient (
        person, 
        email,  
        comment,  
        txt_only
    ) VALUES (
        :person,
        :email,
        :comment,
        :txt_only
    )
";
$stmt = $db->prepare($sql);              
$stmt->bindParam(':person', $person, PDO::PARAM_STR);    
$stmt->bindParam(':email', $email, PDO::PARAM_STR);
$stmt->bindParam(':comment', $comment, PDO::PARAM_STR); 
$stmt->bindParam(':txt_only', $txt_only, PDO::PARAM_STR);   
$stmt->execute(); 

$id = $db->lastInsertId();

if ($tags != 0) {
    foreach ($tags as $tag) {
        $sql = "
        INSERT INTO m_recipient_tag_conn (
            id_recipient,
            id_tag
        ) VALUES (
            :id_recipient,
            :id_tag
        )
        ";
        $stmt = $db->prepare($sql);
        $stmt->bindParam(':id_recipient', $id, PDO::PARAM_STR);    
        $stmt->bindParam(':id_tag', $tag, PDO::PARAM_STR);
        $stmt->execute();
    }
}

header("Location: index.php?manage=recipient&action=list");
