<?php

defined('_MAILING') or die('Restricted access');

$stmt = $db->prepare(" select * from m_smtp where id=? ");
$id = (int)($_GET['id']);

if ($id == 0) {
    die("access denied");
}

$stmt->bindParam(1, $id, PDO::PARAM_INT);
$stmt->execute();
$row = $stmt->fetchAll();

// in case you want to edit not existent data
if (! @$data = $row[0]){
    echo DATA_ERROR;
    exit();
}


$smtpid = $data['id'];
$name = $data['name'];
$host = $data['host'];
$forcesmtp = $data['forcesmtp'];
$verifypeer = $data['verifypeer'];
$smtpauth = $data['smtpauth'];
$username = $data['username'];
$login = $data['login'];
$password = $data['password'];
$replytomail = $data['replytomail'];
$replytoname = $data['replytoname'];
$smtpsecure = $data['smtpsecure'];
$port = $data['port'];
$maxlimit = $data['maxlimit'];

$bmh_server = $data['bmh_server'];
$bmh_port = $data['bmh_port'];
$bmh_service = $data['bmh_service'];
$bmh_soption = $data['bmh_soption'];
$bmh_folder = $data['bmh_folder'];

?>
<div class="page-title">
    <div class="title_left">
        <h3><?php echo MENU_SMTP_PARAMS;?> <small>(<?php echo SMTP_EDIT;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>


<form class="form-horizontal" action="index.php?manage=smtp&data=modify&action=update" method="post">
    <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
    <input type="hidden" name="smtpid" value="<?php echo $smtpid;?>">

<div data-example-id="togglable-tabs" role="tabpanel" class="">
    <ul role="tablist" class="nav nav-tabs bar_tabs" id="myTab">
        <li class="active" role="presentation"><a aria-expanded="false" data-toggle="tab" id="profile-tab" role="tab" href="#tab_content2"><?php echo SMTP_CONFIG;?></a>
        </li>
        <li class="" role="presentation"><a aria-expanded="false" data-toggle="tab" id="profile-tab2" role="tab" href="#tab_content3"><?php echo IMAP_CONFIG;?></a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">

        <div aria-labelledby="profile-tab" id="tab_content2" class="tab-pane fade active in" role="tabpanel">

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo SMTP_INFO_SETUP;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                

                    <div class="form-group">
                    <label for="name" class="col-sm-2 control-label"><?php echo SMTP_NAME;?></label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="name" 
                                name="name" 
                                placeholder="<?php echo SMTP_NAME_PLACEHOLDER;?>"
                                value="<?php echo $name; ?>"
                                >
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="host" class="col-sm-2 control-label"><?php echo SMTP_HOST;?> *</label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="host" 
                                name="host" 
                                placeholder="<?php echo SMTP_HOST_PLACEHOLDER;?>"
                                value="<?php echo $host; ?>"
                                required>
                        </div>
                    </div>
                    
                    <hr>
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="forcesmtp"></label>
                        <div class="col-sm-4">
                          <input 
                            type="checkbox" 
                            class="form-control flat" 
                            id="forcesmtp" 
                            name="forcesmtp"
                            <?php echo $forcesmtp == '1' ? 'checked="checked"' : ''; ?>
                            >&nbsp;<?php echo SMTP_FORCE_SMTP;?>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="verifypeer"></label>
                        <div class="col-sm-4">
                          <input 
                            type="checkbox" 
                            class="form-control flat" 
                            id="verifypeer" 
                            name="verifypeer"
                            <?php echo $verifypeer == '1' ? 'checked="checked"' : ''; ?>
                            >&nbsp;<?php echo SMTP_VERIFY_PEER;?>
                        </div>
                    </div>
                    
                    <hr>
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="smtpauth"></label>
                        <div class="col-sm-4">
                          <input 
                            type="checkbox" 
                            class="form-control flat" 
                            id="smtpauth" 
                            name="smtpauth"
                            <?php echo $smtpauth == '1' ? 'checked="checked"' : ''; ?>
                            >&nbsp;<?php echo SMTP_PAUTH_PLACEHOLDER;?>
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="login" class="col-sm-2 control-label">SMTP login *</label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="smtp_login" 
                                name="login" 
                                placeholder="<?php echo SMTP_LOGIN_PLACEHOLDER;?>"
                                value="<?php echo $login; ?>"
                                required>
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="password" class="col-sm-2 control-label"><?php echo SMTP_PASSWORD;?> *</label>
                        <div class="col-sm-5">
                            <input 
                                type="password" 
                                class="form-control" 
                                id="password" 
                                name="password" 
                                placeholder="<?php echo SMTP_PASSWORD_PLACEHOLDER;?>"
                                value="<?php echo $password; ?>"
                                required>
                        </div>
                    </div>
                    
                    <hr>
                    
                    <div class="form-group">
                    <label for="username" class="col-sm-2 control-label">Bounce to *</label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="username" 
                                name="username" 
                                placeholder="<?php echo BOUNCED_INFO;?>"
                                value="<?php echo $username; ?>"
                                required>
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="replytomail" class="col-sm-2 control-label"><?php echo SMTP_REPLYTO;?></label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="replytomail" 
                                name="replytomail" 
                                placeholder="<?php echo SMTP_REPLYTO_PLACEHOLDER;?>"
                                value="<?php echo $replytomail; ?>"
                                >
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="replytoname" class="col-sm-2 control-label"><?php echo SMTP_REPLYTONAME;?></label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="replytoname" 
                                name="replytoname" 
                                placeholder="<?php echo SMTP_REPLYTONAME_PLACEHOLDER;?>"
                                value="<?php echo $replytoname; ?>"
                                >
                        </div>
                    </div>
                    
                    <hr>
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="smtpsecure"><?php echo SMTP_SECURE;?></label>
                        <div class="col-sm-6">
                            <div class="radio">
                                <label class="">
                                <div class="iradio_flat-green" style="position: relative;">
                                    <input value="tls" type="radio" name="smtpsecure" class="flat" style="position: absolute; opacity: 0;" <?php echo $smtpsecure == 'tls' ? 'checked="checked"' : ''; ?>><ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255) none repeat scroll 0% 0%; border: 0px none; opacity: 0;"></ins>
                                </div> <?php echo SMTP_SECURE_TLS;?>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="smtpsecure"></label>
                        <div class="col-sm-4">
                            <div class="radio">
                                <label class="">
                                <div class="iradio_flat-green" style="position: relative;">
                                    <input value="ssl" type="radio" name="smtpsecure" class="flat" style="position: absolute; opacity: 0;" <?php echo $smtpsecure == 'ssl' ? 'checked="checked"' : ''; ?>><ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255) none repeat scroll 0% 0%; border: 0px none; opacity: 0;"></ins></div> <?php echo SMTP_SECURE_SSL;?>
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                    <label for="port" class="col-sm-2 control-label"><?php echo SMTP_PORT;?> *</label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="port" 
                                name="port" 
                                placeholder="<?php echo SMTP_PORT_PLACEHOLDER;?>"
                                value="<?php echo $port; ?>"
                                required>
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="maxlimit" class="col-sm-2 control-label"><?php echo SMTP_LIMIT;?> *</label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="maxlimit" 
                                name="maxlimit" 
                                placeholder="<?php echo SMTP_LIMIT_PLACEHOLDER;?>"
                                value="<?php echo $maxlimit; ?>"
                                required>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-1">
                            <a href="index.php?manage=smtp&action=list" type="button" class="btn btn-success"><i class="fa fa-frown-o"></i> <?php echo CANCEL;?></a>
                        </div>
                        <div class="col-sm-offset-3 col-sm-1">
                            <button type="submit" class="btn btn-primary"><i class="fa fa-download"></i> <?php echo SAVE;?></button>
                        </div>
                    </div>

            </div>
        </div>
    </div>
</div>

        </div>
        <div aria-labelledby="profile-tab" id="tab_content3" class="tab-pane fade" role="tabpanel">

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo IMAP_INFO_SETUP;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">


                    <div class="form-group">
                        <label for="bmh_server" class="col-sm-2 control-label"><?php echo SMTP_HOST;?></label>
                        <div class="col-sm-5">
                            <input
                                type="text"
                                class="form-control"
                                id="bmh_server"
                                name="bmh_server"
                                placeholder="pop3.domain.ext / imap.domain.ext"
                                value="<?php echo $bmh_server; ?>"
                                >
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="bmh_port" class="col-sm-2 control-label">Port</label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="bmh_port" 
                                name="bmh_port" 
                                placeholder="default: 143"
                                value="<?php echo $bmh_port; ?>"
                                >
                        </div>
                    </div>

                    <hr>
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="bmh_service"><?php echo PROTOCOL;?></label>
                        <div class="col-sm-6">
                            <div class="radio">
                                <label class="">
                                <div class="iradio_flat-green" style="position: relative;">
                                    <input value="imap" type="radio" name="bmh_service" class="flat" style="position: absolute; opacity: 0;" <?php echo $bmh_service == 'imap' ? 'checked="checked"' : ''; ?>><ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255) none repeat scroll 0% 0%; border: 0px none; opacity: 0;"></ins>
                                </div> imap
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="bmh_service"></label>
                        <div class="col-sm-4">
                            <div class="radio">
                                <label class="">
                                <div class="iradio_flat-green" style="position: relative;">
                                    <input value="pop3" type="radio" name="bmh_service" class="flat" style="position: absolute; opacity: 0;" <?php echo $bmh_service == 'pop3' ? 'checked="checked"' : ''; ?>><ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255) none repeat scroll 0% 0%; border: 0px none; opacity: 0;"></ins></div> pop3
                                </label>
                            </div>
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="bmh_soption" class="col-sm-2 control-label"><?php echo SMTP_SECURE;?></label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="bmh_soption" 
                                name="bmh_soption" 
                                placeholder="(none, tls, notls, ssl, etc.), default is 'notls'"
                                value="<?php echo $bmh_soption; ?>"
                                >
                        </div>
                    </div>
                    
                    <div class="form-group">
                    <label for="bmh_folder" class="col-sm-2 control-label"><?php echo FOLDER;?></label>
                        <div class="col-sm-5">
                            <input 
                                type="text" 
                                class="form-control" 
                                id="bmh_folder" 
                                name="bmh_folder" 
                                placeholder="default is 'INBOX'"
                                value="<?php echo $bmh_folder; ?>"
                                >
                        </div>
                    </div>

                    <p>&nbsp;</p>

                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-1">
                            <a href="index.php?manage=smtp&action=list" type="button" class="btn btn-success"><i class="fa fa-frown-o"></i> <?php echo CANCEL;?></a>
                        </div>
                        <div class="col-sm-offset-3 col-sm-1">
                            <button type="submit" class="btn btn-primary"><i class="fa fa-download"></i> <?php echo SAVE;?></button>
                        </div>
                    </div>
                
            </div>
        </div>
    </div>
</div>

        </div>
    </div>
</div>

</form>


<p>&nbsp;</p>
<link href="production/css/bootstrap.min.css" rel="stylesheet">
<link href="production/css/custom.css" rel="stylesheet">
<link href="production/css/icheck/flat/green.css" rel="stylesheet">
<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script>
    if ($("input.flat")[0]) {
        $(document).ready(function () {
            $('input.flat').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass: 'iradio_flat-green'
            });
        });
    }
</script>
