<?php

$result = $db->query("
    SELECT * 
    FROM 
        m_campaign_rec_conn as crc 
    LEFT JOIN m_geolocation as g ON(crc.ip_receiver = g.ip_receiver)
    LEFT JOIN m_recipient as r ON(r.id = crc.id_recipient)
    WHERE 1 
        and crc.id_campaign = '".$campaign_id."'
        and crc.status IN('2','3')
    ");

$markers = '';
$i = 0;

foreach ($result as $row) {
    $i++;
    $markers .= "
        var marker_".$i." = new google.maps.Marker({
          position: {lat: ".$row['latitude'].", lng: ".$row['longitude']."},
          map: map
        });
        var infowindow_".$i." = new google.maps.InfoWindow({
            content: '<h4><a href=\'index.php?manage=recipient&action=edit&id=".$row['id_recipient']."\' target=\'_blank\'>".$row['person']."</a></h4><p>".$row['email']."<br>".$row['country_name']." / ".$row['region_name']."</p>',
            title: '".$row['person']."'
        });
        marker_".$i.".addListener('click', function() {
            infowindow_".$i.".open(map, marker_".$i.");
        });
        
    ";
}
?>
    <div id="map"></div>
    <script>
      function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
          zoom: 2,
          scrollwheel: false,
          center: {lat: 20, lng: 0}
        });
        <?php echo $markers; ?>
      }
    </script>
    <script async defer
    src="https://maps.googleapis.com/maps/api/js?key=<?php echo Settings::$googleMapsApiKey; ?>&callback=initMap">
    </script>

<style>
div#map{
    width:100%;
    height:600px;
}
</style>
