<?php

defined('_MAILING') or die('Restricted access');

$files_option = '';

$files = $db->query(" select * from m_template_att order by filename asc ");
foreach ($files as $file) {
    $files_option .= "<div class='checkbox'><label><input class='flat' type='checkbox' name='files[]' value='".$file['id']."'>&nbsp;".$file['filename']."</label></div>";
}

?>

<div class="page-title">
    <div class="title_left">
        <h3><?php echo TEMPLATES_TITLE_EDIT;?> <small>(<?php echo TEMPLATES_TITLE_ADD;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                    <h2><?php echo TEMPLATES_TITLE_ADD;?></h2>
                    <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form class="form-horizontal" action="index.php?manage=templates&data=modify&action=insert" method="post">
                    <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                    <div class="form-group">
                    <label for="name"><?php echo TEMPLATES_NAME;?>*</label>
                        <input 
                            type="text" 
                            class="form-control" 
                            id="name" 
                            name="name" 
                            placeholder="<?php echo TEMPLATES_NAME;?>"
                            required>
                    </div>
                    <div class="form-group">
                    <label for="subject"><?php echo TEMPLATES_MAIL_TITLE;?>*</label>
                        <input 
                            type="text" 
                            class="form-control" 
                            id="subject" 
                            name="subject" 
                            placeholder="<?php echo TEMPLATES_MAIL_TITLE_PLACEHOLDER;?>"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="content_html" ><?php echo TMPLATES_HTML;?></label>
                        <textarea id="mailhtml" name="content_html"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="content_html" ><?php echo TMPLATES_VARIABLES;?></label>
                        <p>{RECIPIENT_NAME}, {RECIPIENT_EMAIL}, {RECIPIENT_DESCRIPTION}, {UNSUBSCRIBE}, {BROWSER_VIEW}, {CAMPAIGN_NAME}, {SENDER_NAME}, {SENDER_EMAIL}, {CURRENT_YEAR}, {CURRENT_MONTH}, {CURRENT_DAY}</p>
                    </div>
                    <div class="form-group">
                        <label for="content_txt" ><?php echo TMPLATES_TXT;?></label>
                        <textarea id="mailtxt" name="content_txt" class="form-control"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="tagsname" class="col-sm-2 control-label"><?php echo MEDIA_MANAGER;?></label>
                        <div class="col-sm-5">
                            <?php echo $files_option; ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <div>
                            <button type="submit" class="btn btn-primary pull-right"><i class="fa fa-download"></i> <?php echo SAVE;?></button>
                            <span class="pull-right">&nbsp;</span>
                            <span class="pull-right">&nbsp;</span>
                            <span class="pull-right">&nbsp;</span>
                            <a class="btn btn-success pull-right" href="index.php?manage=templates&action=list"><i class="fa fa-frown-o"></i> <?php echo CANCEL;?></a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script src="libs/tinymce/tinymce.min.js"></script>
<script>
    tinymce.init({
        selector:'#mailhtml',
        height : "700",
        plugins: "link print preview code textcolor table image filemanager",
        toolbar1: 'insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | forecolor backcolor | link | image',
        language : '<?php echo LANG;?>',
        relative_urls : false,
        remove_script_host : false
    });
</script>
<link href="production/css/bootstrap.min.css" rel="stylesheet">
<link href="production/css/custom.css" rel="stylesheet">
<link href="production/css/icheck/flat/green.css" rel="stylesheet">
<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script>
    if ($("input.flat")[0]) {
        $(document).ready(function () {
            $('input.flat').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass: 'iradio_flat-green'
            });
        });
    }
</script>
