<?php
/*
* defined('_MAILING') or die('Restricted access');
* antyhacker, add this line to all files
*/
define('_MAILING', 1); 
session_start();
ini_set('error_reporting', E_ALL);

// demo mode (true/false)
define('DEMO_MODE', false);

// get configuration
include("configuration.php");

// set timeout limit
set_time_limit((int)(Settings::$phpTimeOutLimit));

// get and run emailer class
include("php/class.emailer.php");
$app = new Emailer();

// database connectior
include("php/db_connector.php");

// go to campaign component without view rendering in some cases
if ($app->track || $app->unsubscribe || $app->subscribe || $app->subscribeConfirm || $app->click || $app->browserview || $app->stop) {
    include('components/campaign/controller.php');
}

// load language
if ($app->run) {
    $app->loadLanguage();
}

// proceed login if needed
if ($app->login) {
    $app->login();
}

// proceed logout if needed
if ($app->logout) {
    $app->logout();
}

// check if component really exist, if not load home page (in case of wrong urls)
if ($app->component) {
    include('components/'.$app->manage.'/controller.php');
} else {
    $check = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['SCRIPT_NAME']).DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.$app->manage.DIRECTORY_SEPARATOR.'/controller.php';
    if (file_exists($check)) {
        include('production/index.php');
    } else {
        header("Location: index.php");
    }
}
