<?php

defined('_MAILING') or die('Restricted access');

$app->checkToken();

$recipients = '';
$draw = (int)($_POST['draw']);
$length = (int)($_POST['length']);
$start = (int)($_POST['start']);
$search = $app->clearSQL($_POST['search']);
$order = $_POST['order'];
$columns = $_POST['columns'];
$orderDir = $app->clearSQL($order['0']['dir']);
$orderColumnName = $app->clearSQL($columns[$order['0']['column']]['data']);
$recordsTotal = 0;
$recordsFiltered = 0;
$fraza = $search['value'];

if ($fraza != ''){
    $filtr = '';
    $fraza_array = explode(" ", $fraza);
    foreach ($fraza_array as $val) {
        $filtr .= " AND (person LIKE '%".$val."%' OR email LIKE '%".$val."%' OR comment LIKE '%".$val."%' OR tag LIKE '%".$val."%') ";
    }
} else {
    $filtr = "";
}

// get count of all recipients
$stmt = $db->query(" SELECT count(id) as qty from m_recipient ");
$row = $stmt->fetchAll();
$recordsTotal = $row[0]['qty'];

// get count of filtered recipients
$sql = " 
    SELECT count(id) as qty FROM (
        SELECT
            r.id,
            r.person,
            r.email,
            r.comment,
            (
                SELECT group_concat(rt.name SEPARATOR ', ') AS tags 
                FROM m_recipient_tag_conn AS rc 
                LEFT JOIN m_recipient_tag AS rt ON(rc.id_tag=rt.id)
                WHERE r.id=rc.id_recipient
            ) AS tag
        FROM m_recipient AS r
    ) as a
    WHERE 1 ".$filtr."
 ";

$stmt = $db->query($sql);
$row = $stmt->fetchAll();
$recordsFiltered = $row[0]['qty'];

$sql = "
    SELECT * FROM (
        SELECT
            r.id,
            r.person,
            r.email,
            r.comment,
            (
                SELECT group_concat(rt.name SEPARATOR ', ') AS tags 
                FROM m_recipient_tag_conn AS rc 
                LEFT JOIN m_recipient_tag AS rt ON(rc.id_tag=rt.id)
                WHERE r.id=rc.id_recipient
            ) AS tag
        FROM m_recipient AS r
    ) as a
    WHERE 1 ".$filtr."
    ORDER BY ".$orderColumnName." ".$orderDir."
    LIMIT $length OFFSET $start
";
$stmt = $db->query($sql);
$data = $stmt->fetchAll();

$json_data = '
    {
      "draw": '.$draw.',
      "recordsTotal": '.$recordsTotal.',
      "recordsFiltered": '.$recordsFiltered.',
      "data":
        '.json_encode($data).'
    }
';
    
echo $json_data;
exit();
