<?php

defined('_MAILING') or die('Restricted access');

$i = 0;
$recipient_head = '';
$recipient_body = '';
$result = $db->query("
    SELECT
        c.id,
        c.name,
        c.recipient_qty,
        c.status,
        c.date_create,
        c.id_template,
        (
            SELECT CONCAT(t.name, '<br>', t.subject) FROM m_template AS t WHERE t.id = c.id_template
        ) AS templatename,
        (
            SELECT CONCAT(s.name, '<br>', s.email) FROM m_sender AS s WHERE s.id = c.id_sender
        ) AS sendername,
        (
            SELECT t.thumb_filename FROM m_template AS t WHERE t.id = c.id_template
        ) AS filename
    FROM 
        m_campaign AS c
    WHERE
        c.status = '0'
");
$recipient_head .= "<tr><th>#</th><th>".CAMPAIGN_NAME."</th><th>".CAMPAIGN_RECIPIENT_QTY."</th><th>".CAMPAIGN_TEMPLATE_NAME."</th><th>".CAMPAIGN_CREATED_DATE."</th><th></th></tr>";
foreach ($result as $row) {
    $thumb_filename = $row['filename'] !='' ? $row['filename'] : 'no-picture.png';
    $i++;
    $recipient_body .= "
    <tr>
        <td>".$i."</td>
        <td>".$row['name']."</td>
        <td>".$row['recipient_qty']."</td>
        <td><a href='index.php?manage=templates&action=edit&id=".$row['id_template']."'><img src='uploads/".$thumb_filename."'><br>".$row['templatename']."</a></td>
        <td>".$row['date_create']."</td>
        <td>
            <button type='button' class='btn btn-danger btn-xs pull-right' data-toggle='modal' data-target='#campaignDelete' data-campaignname='".$row['name']."' data-campaignid='".$row['id']."' >".DELETE."</button><a class='btn btn-warning btn-xs pull-right' href='index.php?manage=campaign&action=modify&campaign=".$row['id']."'>".EDIT."</a>&nbsp;<a class='btn btn-primary btn-xs pull-right' href='index.php?manage=campaign&action=start&campaign=".$row['id']."'>".SEND."</a>
        </td>
    </tr>";
}
?>
<style>
 table#waitingCampaign th,
 table#waitingCampaign td{
     vertical-align:middle;
 }
 table#waitingCampaign td img{
     border:5px solid transparent;
     transition: 1s;
 }
 table#waitingCampaign td img:hover{
     border:5px solid;
     transition:0.2s;
 }
</style>
<script src="libs/datatable/dataTables-1.10.7.js"></script>
<script>
$(document).ready(function(){

    $.fn.dataTableExt.oStdClasses.sPageButton = "btn btn-default";
    $('#waitingCampaign').DataTable({
        stateSave: true,
        language: dataTableTranslation
    });

    $('#campaignDelete').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var campaignname = button.data('campaignname');
        var campaignid = button.data('campaignid');
        var modal = $(this);
        modal.find('.campaignname').val(campaignname);
        modal.find('.campaignid').val(campaignid);
    });

});
</script>

<div class="modal fade" id="campaignDelete" tabindex="-1" role="dialog" aria-labelledby="campaignDeleteLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="campaignDeleteLabel"><?php echo DELETING; ?></h4>
            </div>
            <form action="index.php?manage=campaign&data=modify&action=delete" method="post">
                <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                <div class="modal-body">
                    <input type="hidden" name="campaignid" class="campaignid" value="">
                    <div class="form-group">
                        <label for="campaignname" class="control-label"><?php echo DELETING_CONFIRM_QUESTION; ?></label>
                        <input type="text" class="form-control campaignname" disabled>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo CANCEL;?></button>
                    <button type="submit" class="btn btn-danger"><?php echo DELETE;?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="page-title">
    <div class="title_left">
        <h3><?php echo MENU_CAMPAIGNS;?> <small>(<?php echo MENU_CAMPAIGNS_WAITING_LIST;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo CAMPAIGN_SELECT;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <table class="table table-striped responsive-utilities jambo_table" id="waitingCampaign">
                    <thead>
                        <?php echo $recipient_head; ?>
                    </thead>
                    <tbody>
                        <?php echo $recipient_body; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<p>&nbsp;</p>
