<?php

defined('_MAILING') or die('Restricted access');

$emails_qty = 0;
$templates_qty = 0;
$sent_qty = 0;
$effectiveness = 0;
$campaign_all_qty = 0;
$campaign_pending_qty = 0;
$campaign_sent_qty = 0;
$campaign_create_month_qty = '';
$campaign_start_month_qty = '';
$best_camps = '';

// check data for this year, default is current
$statistic_year = isset($_POST['statistic_year']) ? $_POST['statistic_year'] : date("Y");

$stmt = $db->query(" SELECT count(id) AS qty FROM m_recipient ");
$stmt->execute();
$row = $stmt->fetchAll();
$emails_qty = $row[0]['qty'];

$stmt = $db->query(" SELECT count(id) AS qty FROM m_template ");
$stmt->execute();
$row = $stmt->fetchAll();
$templates_qty = $row[0]['qty'];

$stmt = $db->query(" SELECT count(status) AS qty FROM m_campaign_rec_conn WHERE status > 0 AND year(date_sent) = '".$statistic_year."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$sent_qty = (int)$row[0]['qty'];

$stmt = $db->query(" SELECT count(status) AS qty FROM m_campaign_rec_conn WHERE status > 1 ");
$stmt->execute();
$row = $stmt->fetchAll();
$effectiveness = $sent_qty != 0 ? ((int)($row[0]['qty'])/($sent_qty) * 100) : 0;
$effectiveness = number_format($effectiveness, 2, ',', '').'%';

$stmt = $db->query(" SELECT count(id) AS qty FROM m_campaign WHERE 1 and year(date_create) = '".$statistic_year."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$campaign_all_qty = $row[0]['qty'];

$stmt = $db->query(" SELECT count(id) AS qty FROM m_campaign WHERE status = '0' and year(date_create) = '".$statistic_year."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$campaign_pending_qty = $row[0]['qty'];

$stmt = $db->query(" SELECT count(id) AS qty FROM m_campaign WHERE status = '2' and year(date_create) = '".$statistic_year."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$campaign_sent_qty = $row[0]['qty'];

$result = $db->query(" 
    SELECT * FROM
    (
        SELECT
            c.id,
            c.name,
            c.recipient_qty,
            c.status,
            c.date_create,
            c.date_start,
            (
                ((SELECT count(crc.id_recipient) FROM m_campaign_rec_conn AS crc WHERE crc.id_campaign = c.id and crc.status='2') / c.recipient_qty) * 100
            ) AS procent
        FROM 
            m_campaign AS c
        WHERE 1
            and c.status = '2'
            and year(c.date_create) = '".$statistic_year."'
    ) AS camp
    ORDER BY procent DESC limit 5
");
foreach ($result as $row) {
    $best_camps .='
        <div>
            <p>'.$row['name'].' ('.ceil((int)$row['procent']).'%)</p>
            <div class="">
                <div class="progress progress_sm" style="width: 80%;">
                <div class="progress-bar bg-green" role="progressbar" data-transitiongoal="'.(int)$row['procent'].'"></div>
            </div>
            </div>
        </div>
    ';
}

$stmt = $db->query(" 
    SELECT * FROM
    (
        (SELECT count(id) AS sty FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 1) AS a,
        (SELECT count(id) AS lut FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 2) AS b,
        (SELECT count(id) AS mar FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 3) AS c,
        (SELECT count(id) AS kwi FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 4) AS d,
        (SELECT count(id) AS maj FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 5) AS e,
        (SELECT count(id) AS cze FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 6) AS f,
        (SELECT count(id) AS lip FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 7) AS g,
        (SELECT count(id) AS sie FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 8) AS h,
        (SELECT count(id) AS wrz FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 9) AS i,
        (SELECT count(id) AS paz FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 10) AS j,
        (SELECT count(id) AS lis FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 11) AS k,
        (SELECT count(id) AS gru FROM m_campaign WHERE year(date_create) = '".$statistic_year."' and month(date_create) = 12) AS l
    )
");
$stmt->execute();
$row = $stmt->fetchAll();
$campaign_create_month_qty = $row[0]['sty'].','.$row[0]['lut'].','.$row[0]['mar'].','.$row[0]['kwi'].','.$row[0]['maj'].','.$row[0]['cze'].','.$row[0]['lip'].','.$row[0]['sie'].','.$row[0]['wrz'].','.$row[0]['paz'].','.$row[0]['lis'].','.$row[0]['gru'];

$stmt = $db->query(" 
    SELECT * FROM
    (
        (SELECT count(id) AS sty FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 1) AS a,
        (SELECT count(id) AS lut FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 2) AS b,
        (SELECT count(id) AS mar FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 3) AS c,
        (SELECT count(id) AS kwi FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 4) AS d,
        (SELECT count(id) AS maj FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 5) AS e,
        (SELECT count(id) AS cze FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 6) AS f,
        (SELECT count(id) AS lip FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 7) AS g,
        (SELECT count(id) AS sie FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 8) AS h,
        (SELECT count(id) AS wrz FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 9) AS i,
        (SELECT count(id) AS paz FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 10) AS j,
        (SELECT count(id) AS lis FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 11) AS k,
        (SELECT count(id) AS gru FROM m_campaign WHERE year(date_start) = '".$statistic_year."' and month(date_start) = 12) AS l
    )
");
$stmt->execute();
$row = $stmt->fetchAll();
$campaign_start_month_qty = $row[0]['sty'].','.$row[0]['lut'].','.$row[0]['mar'].','.$row[0]['kwi'].','.$row[0]['maj'].','.$row[0]['cze'].','.$row[0]['lip'].','.$row[0]['sie'].','.$row[0]['wrz'].','.$row[0]['paz'].','.$row[0]['lis'].','.$row[0]['gru'];

?>
<div class="row tile_count">
    <div class="animated flipInY col-md-2 col-sm-4 col-xs-4 tile_stats_count">
        <div class="left"></div>
        <div class="right">
            <a class="dashbox" href="index.php?manage=recipient&action=add">
                <span class="count_top"><i class="fa fa-user"></i> <?php echo D_EMAIL_ADDRESS;?></span>
                <div class="count text-center"><?php echo $emails_qty; ?></div>
                <button class="btn btn-success btn-xs"><?php echo D_EMAIL_ADD_NEW;?></button>
            </a>
        </div>
    </div>
    <div class="animated flipInY col-md-2 col-sm-4 col-xs-4 tile_stats_count">
        <div class="left"></div>
        <div class="right">
            <a class="dashbox" href="index.php?manage=templates&action=add">
                <span class="count_top"><i class="fa fa-desktop"></i> <?php echo D_EMAIL_TEMPLATES;?></span>
                <div class="count text-center"><?php echo $templates_qty; ?></div>
                <button class="btn btn-success btn-xs" href=""><?php echo D_EMAIL_TEMPLATES_ADD;?></button>
            </a>
        </div>
    </div>
    <div class="animated flipInY col-md-2 col-sm-4 col-xs-4 tile_stats_count">
        <div class="left"></div>
        <div class="right">
            <a class="dashbox" href="index.php?manage=campaign&action=sent">
                <span class="count_top"><i class="fa fa-envelope-o"></i> <?php echo D_EMAIL_SENT;?></span>
                <div class="count green text-center"><?php echo $sent_qty; ?></div>
                <button class="count_bottom btn btn-default btn-xs" ><i class="green"><?php echo $effectiveness; ?> </i> <?php echo D_EMAIL_EFFICIENCY;?></button>
            </a>
        </div>
    </div>
    <div class="animated flipInY col-md-2 col-sm-4 col-xs-4 tile_stats_count">
        <div class="left"></div>
        <div class="right">
            <a class="dashbox" href="index.php?manage=campaign&action=prepare">
                <span class="count_top"><i class="fa fa-table"></i> <?php echo D_CAMPAIGNS;?></span>
                <div class="count text-center"><?php echo $campaign_all_qty; ?></div>
                <button class="btn btn-success btn-xs"><?php echo D_CAMPAIGNS_ADD;?></button>
            </a>
        </div>
    </div>
    <div class="animated flipInY col-md-2 col-sm-4 col-xs-4 tile_stats_count">
        <div class="left"></div>
        <div class="right">
            <a class="dashbox" href="index.php?manage=campaign&action=waiting">
                <span class="count_top"><i class="fa fa-table"></i> <?php echo D_CAMPAIGNS;?></span>
                <div class="count text-center"><?php echo $campaign_pending_qty; ?></div>
                <button class="btn btn-success btn-xs"><?php echo D_CAMPAIGNS_WAITING;?></button>
            </a>
        </div>
    </div>
    <div class="animated flipInY col-md-2 col-sm-4 col-xs-4 tile_stats_count">
        <div class="left"></div>
        <div class="right">
            <a class="dashbox" href="index.php?manage=campaign&action=sent">
                <span class="count_top"><i class="fa fa-table"></i> <?php echo D_CAMPAIGNS;?></span>
                <div class="count text-center"><?php echo $campaign_sent_qty; ?></div>
                <button class="btn btn-success btn-xs"><?php echo D_CAMPAIGNS_SENT;?></button>
            </a>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="dashboard_graph">
            <div class="row x_title">
                <div class="col-md-12">
                    <form class="form-horizontal" action="" method="post">
                        <h3>
                            <div class="col-sm-6">
                            <?php echo D_STATISTICS;?> <?php echo $statistic_year; ?> <small><?php echo D_THIS_YEAR;?></small>
                            </div>
                            <div class="col-sm-6">
                                <div class="col-sm-3">
                                    <input class="form-control col-sm-2" type="number" name="statistic_year" value="<?php echo $statistic_year;?>">
                                </div>
                                <div class="col-sm-2">
                                    <input class="btn btn-default" type="submit" value="go">
                                </div>
                            </div>
                        </h3>
                    </form>
                </div>
            </div>
            <div class="col-md-9 col-sm-9 col-xs-12">
                <div id="placeholder33" style="height: 260px; display: none" class="demo-placeholder"></div>
                <div style="width: 100%;">
                    <canvas id="canvas000"></canvas>
                    <div id="legendDiv"></div>
                </div>
            </div>
            <div class="col-md-3 col-sm-3 col-xs-12 bg-white">
                <div class="x_title">
                    <h2><?php echo D_EMAIL_EFFICIENCY;?></h2>
                    <div class="clearfix"></div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-6">
                    <?php echo $best_camps; ?>
                    <p><a class="btn btn-default btn-xs" href="index.php?manage=campaign&action=sent"><?php echo D_CHECK_ALL;?></a></p>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>

<p>&nbsp;</p>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo D_HOW_TO;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="dashboard-widget-content">
                    <ul class="list-unstyled timeline widget">
                        <li>
                            <div class="block">
                                <div class="block_content">
                                    <h2 class="title"><?php echo D_HOW_STEP_1_TITLE;?></h2>
                                    <p class="excerpt"><?php echo D_HOW_STEP_1_DESC;?></p>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="block">
                                <div class="block_content">
                                    <h2 class="title"><?php echo D_HOW_STEP_2_TITLE;?></h2>
                                    <p class="excerpt"><?php echo D_HOW_STEP_2_DESC;?></p>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="block">
                                <div class="block_content">
                                    <h2 class="title"><?php echo D_HOW_STEP_3_TITLE;?></h2>
                                    <p class="excerpt"><?php echo D_HOW_STEP_3_DESC;?></p>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="block">
                                <div class="block_content">
                                    <h2 class="title"><?php echo D_HOW_STEP_4_TITLE;?></h2>
                                    <p class="excerpt"><?php echo D_HOW_STEP_4_DESC;?></p>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="block">
                                <div class="block_content">
                                    <h2 class="title"><?php echo D_HOW_STEP_5_TITLE;?></h2>
                                    <p class="excerpt"><?php echo D_HOW_STEP_5_DESC;?></p>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<p>&nbsp;</p>
<p>&nbsp;</p>

<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/chartjs/chart.min.js"></script>
<script src="production/js/progressbar/bootstrap-progressbar.min.js"></script>
<script src="production/js/nicescroll/jquery.nicescroll.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script>
    if ($(".progress .progress-bar")[0]) {
        $('.progress .progress-bar').progressbar();
    }

    var lineChartData = {
        labels: ["<?php echo JAN;?>", "<?php echo FEB;?>", "<?php echo MAR;?>", "<?php echo APR;?>", "<?php echo MAY;?>", "<?php echo JUN;?>", "<?php echo JUL;?>", "<?php echo AUG;?>", "<?php echo SEP;?>", "<?php echo OCT;?>", "<?php echo NOV;?>", "<?php echo DEC;?>"],
        datasets: [
            {
                label: "<?php echo D_PREPARED_OVERALL;?>",
                fillColor: "rgba(38, 185, 154, 0.31)",
                color: "red",
                strokeColor: "rgba(38, 185, 154, 0.5)",
                pointColor: "rgba(38, 185, 154, 0.5)",
                pointStrokeColor: "#fff",
                pointHighlightFill: "#fff",
                pointHighlightStroke: "rgba(220,220,220,1)",
                data: [<?php echo $campaign_create_month_qty; ?>]
            },
            {
                label: "<?php echo D_SENT_OVERALL;?>",
                fillColor: "rgba(3, 88, 106, 0.3)",
                strokeColor: "rgba(3, 88, 106, 0.70)",
                pointColor: "rgba(3, 88, 106, 0.70)",
                pointStrokeColor: "#fff",
                pointHighlightFill: "#fff",
                pointHighlightStroke: "rgba(151,187,205,1)",
                data: [<?php echo $campaign_start_month_qty; ?>]
            }
        ]
    }

    $(document).ready(function() {
        var myLineChart = new Chart(document.getElementById("canvas000").getContext("2d")).Line(lineChartData, {
            responsive: true,
            tooltipFillColor: "rgba(51, 51, 51, 0.55)",
            legendTemplate : "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].strokeColor%>\">&nbsp;&nbsp;&nbsp;&nbsp;</span>&nbsp;<%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>"
        });
        document.getElementById("legendDiv").innerHTML = myLineChart.generateLegend();
    });
</script>
