<?php

defined('_MAILING') or die('Restricted access');

set_time_limit(0);

$csv_komunikat = '';
$csverrorsdescdet = '';
$possible_tags = Array();
$id_tags = Array();
$dodano = 0;

if (isset($_POST['zapisz']) && !DEMO_MODE){
    
    $ignore_errors = isset($_POST['ignore_errors']) ? true : false;
    
    $app->checkToken();

    // XLS column numbers
    $colEmail = 0;
    $colPerson = 1;
    $colTag = 2;
    $colMark = 3;

    $tags = $db->query(" select * from m_recipient_tag order by name asc");
    foreach ($tags as $tag) {
        array_push($possible_tags, $tag['name']);
        array_push($id_tags, Array($tag['name'], $tag['id']));
    }

    @list($filenamecsv, $extensioncsv) = explode(".",$_FILES["file"]["name"]);

        if ($_FILES["file"]["error"] > 0) {
            $csv_komunikat = "Error: " . $_FILES["file"]["error"] . "<br>";
        } else {
            $csverrors = false;
            $row = 0;
            if (($handle = fopen($_FILES["file"]["tmp_name"], "r")) !== FALSE) {
                while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
                    
                    $num = count($data);
                    $row++;
                    

                    
                    if (! $ignore_errors) {
                        
                        // dane array
                        for ($c=0; $c < $num; $c++) {
                            list( $pole[$row] ) = explode(",", $data[$c]);
                            $dane[$row][$c] = $pole[$row];
                        }
                        
                        if ( !is_it_mail($dane[$row][$colEmail]) && $dane[$row][$colEmail] !='' ){
                            $csverrorsdescdet .= RECIPIENT_ROW . $row . RECIPIENT_WRONG_EMAIL."<b>".$dane[$row][$colEmail]."</b> <br/>";
                            $csverrors = true;
                        }

                        if (isset($dane[$row][$colEmail])) {
                            $checkDuplicates = $db->prepare(" select email from m_recipient where email = '".$dane[$row][$colEmail]."' ");
                            $checkDuplicates->execute();
                            $emailCheck = $checkDuplicates->fetchAll();
                            foreach ($emailCheck as $duplicate) {
                                if ($duplicate['email'] != '') {
                                    $csverrorsdescdet .= RECIPIENT_ROW . $row . RECIPIENT_EMAIL_EXIST."<b>".$dane[$row][$colEmail]."</b> <br/>";
                                    $csverrors = true;
                                }
                            }
                        }

                        if ($dane[$row][$colEmail] =='') {
                            $csverrorsdescdet .= RECIPIENT_ROW . $row . RECIPIENT_EMAIL_LACK."<br/>";
                            $csverrors = true;
                        }

                        for ($x=1; $x < $row; $x++) {
                            if ($dane[$row][$colEmail] == $dane[$x][$colEmail]) {
                                $csverrorsdescdet .= RECIPIENT_ROW . $row . " <b>".$dane[$row][$colEmail]."</b>".RECIPIENT_EMAIL_IN_DB.$x."<br/>";
                                $csverrors = true;
                            }
                        }
                        
                        if (isset($dane[$row][$colTag])) {
                            $csvTags = explode(" ", $dane[$row][$colTag]);
                            $csvTagsQty = count($csvTags);
                            $ids = '';
                            for ($t=0; $t < $csvTagsQty; $t++) {
                                $csvTag = napraw($csvTags[$t]);
                                if (!in_array($csvTag, $possible_tags)) {
                                    $csverrorsdescdet .= RECIPIENT_ROW . $row . RECIPIENT_TAG_NOT_EXIST."<b>".$csvTag."</b> <br/>";
                                    $csverrors = true;
                                } else {
                                    foreach ($id_tags as $id_tag) {
                                        if ($id_tag[0] == $csvTag) {
                                            $ids .= $id_tag[1].',';
                                        }
                                    }
                                }
                            }
                            $ids = substr($ids, 0, -1);
                            $dane[$row][$colTag] = $ids;
                        }
  
                    } else {
                        // ignore errors and insert waht is possible

                        $email = $data[0];
                        $person = isset($data[1]) ? $data[1] : "" ;
                        $tags = isset($data[2]) ? $data[2] : "" ;
                        $comment = isset($data[3]) ? $data[3] : "" ;
                        

                        
                        if (is_it_mail($email)) {

                            $sql = "
                                INSERT INTO m_recipient (
                                    person,
                                    email,
                                    comment
                                ) VALUES (
                                    :person,
                                    :email,
                                    :comment
                                )
                            ";
                            $stmt = $db->prepare($sql);
                            $stmt->bindParam(':person', $person, PDO::PARAM_STR);    
                            $stmt->bindParam(':email', $email, PDO::PARAM_STR);
                            $stmt->bindParam(':comment', $comment, PDO::PARAM_STR); 
                            $stmt->execute();

                            $id_recipient = $db->lastInsertId();
                            
                            if ($tags !='') {
                                $arrayTags = explode(",", $tags);
                                
                                foreach ($arrayTags as $tagName) {

                                    $stmt = $db->query(" select id from m_recipient_tag where name='".$tagName."' ");
                                    $row = $stmt->fetchAll();
                                    @$id_tag = $row[0]['id'];
                                    if ($id_tag !='') {
                                        $sql = "
                                            INSERT INTO m_recipient_tag_conn (
                                                id_recipient,
                                                id_tag
                                            ) VALUES (
                                                :id_recipient,
                                                :id_tag
                                            )
                                        ";
                                        $stmt = $db->prepare($sql);
                                        $stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_STR);    
                                        $stmt->bindParam(':id_tag', $id_tag, PDO::PARAM_STR);
                                        $stmt->execute();
                                    }
                                }
                            }
                            $dodano++;
                        }

                    }

                }
                fclose($handle);
                if ($ignore_errors) {
                    $csverrorsdescdet = " imported ".$dodano." records";
                }
            }

            if (! $csverrors && ! $ignore_errors) {
                
                for ($x=1; $x < $row+1; $x++) {
                    
                    if (is_it_mail($dane[$x][$colEmail])) {
                        $dodano++;
                        $email = napraw($dane[$x][$colEmail]);
                        $person = isset($dane[$x][$colPerson]) ? napraw($dane[$x][$colPerson]) : '';
                        $tags = isset($dane[$x][$colTag]) ? explode(',', $dane[$x][$colTag]) : '';
                        $comment = isset($dane[$x][$colMark]) ? napraw($dane[$x][$colMark]) : '';

                        $sql = "
                            INSERT INTO m_recipient (
                                person,
                                email,
                                comment
                            ) VALUES (
                                :person,
                                :email,
                                :comment
                            )
                        ";
                        $stmt = $db->prepare($sql);
                        $stmt->bindParam(':person', $person, PDO::PARAM_STR);    
                        $stmt->bindParam(':email', $email, PDO::PARAM_STR);
                        $stmt->bindParam(':comment', $comment, PDO::PARAM_STR); 
                        $stmt->execute();

                        $id_recipient = $db->lastInsertId();
                        
                        if ($tags !='') {
                            foreach ($tags as $id_tag) {
                                if (! ((int)$id_recipient == 0 || (int)$id_tag == 0)) {
                                    $sql = "
                                        INSERT INTO m_recipient_tag_conn (
                                            id_recipient,
                                            id_tag
                                        ) VALUES (
                                            :id_recipient,
                                            :id_tag
                                        )
                                    ";
                                    $stmt = $db->prepare($sql);
                                    $stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_STR);    
                                    $stmt->bindParam(':id_tag', $id_tag, PDO::PARAM_STR);
                                    $stmt->execute();
                                }
                            }
                        }
                    }
                }
                $csv_komunikat .= "<br/>".RECIPIENT_CSV_ADDED."<b>".$dodano."/".$x."</b>".RECIPIENT_CSV_ADDED_FROM."<b>".$_FILES['file']['name']."</b></br></br>";
                if ($ignore_errors) {
                    $csverrorsdescdet = '';
                }
            }else{
                $csv_komunikat .= RECIPIENT_CSV_ERRORS."<b>".$_FILES['file']['name']."</b>:<br/><br/>";
            }
        }

}

function napraw($str) {
    $str = strtr($str, array(
        "\0" => "",
        "'"  => "&#39;",
        "\"" => "&#34;",
        "\\" => "&#92;",
        "<"  => "&lt;",
        ">"  => "&gt;",
    ));
    $str = preg_replace('!\s+!', ' ', $str);
    @$str = iconv("Windows-1250","UTF-8",$str);
    return $str;
}

function is_it_mail($mm) {
    $pattern = "/[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})/i";
    if (!preg_match($pattern, $mm)) {
        return false;
    } else {
        return true;
    }
}

?>

<div class="page-title">
    <div class="title_left">
        <h3><?php echo EMAIL_ADRESSES;?> <small>(<?php echo RECIPIENT_IMPORT_CSV;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo RECIPIENT_PREPARE_CSV;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="csv_upload">
                    <p><?php echo RECIPIENT_UPLOAD_CSV_TITLE;?> <a class="btn btn-default btn-xs" href="import.csv"><?php echo RECIPIENT_UPLOAD_CSV_TEMPLATE;?></a>:</p>
                    <?php echo RECIPIENT_UPLOAD_CSV_STEPS;?>
                    <form class="form-inline" method="post" enctype="multipart/form-data" action="index.php?manage=recipient&action=import">
                        <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                        <input type="hidden" name="zapisz" id="zapisz">
                        <hr>
                        <div class='checkbox'>
                            <label>
                                <input class='flat' type='checkbox' name='ignore_errors' value='1' checked='checked'>&nbsp;<?php echo RECIPIENT_CSV_IGNORE_ERRORS;?>
                            </label>
                        </div>
                        <hr>
                            <label for="upload"><?php echo RECIPIENT_UPLOAD_CSV_NAME;?></label>
                            <div class="input-group">
                                <span class="input-group-btn">
                                    <span class="btn btn-primary btn-file">
                                        <?php echo MEDIA_BROWSE;?> <input id="upload" class="form-control input-sm" name="file" type="file" size="100" placeholder=""/>
                                    </span>
                                </span>
                                <input id="upload_info" type="text" readonly="" class="form-control">
                            </div>
                            <button type="submit" class="btn btn-primary"><?php echo MEDIA_UPLOAD;?></button>
                    </form>
                    <p>&nbsp;</p>
                    <p><?=$csv_komunikat?><?=$csverrorsdescdet?></p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .btn-file { position: relative; overflow: hidden; }
    .btn-file input[type=file] { position: absolute; top: 0; right: 0; min-width: 100%; min-height: 100%; font-size: 100px; text-align: right; filter: alpha(opacity=0); opacity: 0; outline: none; background: white; cursor: inherit; display: block; }
    div.x_content div.csv_upload form.form-inline div.input-group{margin-bottom:0px;}
</style>
<link href="production/css/bootstrap.min.css" rel="stylesheet">
<link href="production/css/custom.css" rel="stylesheet">
<link href="production/css/icheck/flat/green.css" rel="stylesheet">
<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script>
    if ($("input.flat")[0]) {
        $(document).ready(function () {
            $('input.flat').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass: 'iradio_flat-green'
            });
        });
    }

    $(document).ready(function(){
        $(document).on('change', '.btn-file :file', function() {
            var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });
        
        $('.btn-file :file').on('fileselect', function(event, numFiles, label) {
             $('#upload_info').val(label);
        });
        
    });
</script>
