<?php

defined('_MAILING') or die('Restricted access');

$i = 0;
$tags_head = '';
$tags_body = '';

$result = $db->query("
    SELECT * FROM m_smtp
");

$tags_head .= "
    <tr>
        <th>#</th>
        <th>".SMTP_NAME."</th>
        <th>".SMTP_HOST."</th>
        <th>".SMTP_USERNAME."</th>
        <th>".MENU_SMTP_PARAMS."</th>
        <th></th>
    </tr>
";

foreach ($result as $row) {
    $i++;
    $tags_body .= "
    <tr>
        <td>".$i."</td>
        <td><a href='index.php?manage=smtp&action=edit&id=".$row['id']."'>".$row['name']."</a></td>
        <td><a href='index.php?manage=smtp&action=edit&id=".$row['id']."'>".$row['host']."</a></td>
        <td><a href='index.php?manage=smtp&action=edit&id=".$row['id']."'>".$row['username']."</a></td>
        <td><a href='index.php?manage=smtp&action=edit&id=".$row['id']."'>".$row['smtpsecure']." / ".$row['port']." / ".$row['maxlimit']."</a></td>
        <td>
            <button type='button' class='btn btn-danger btn-xs pull-right' data-toggle='modal' data-target='#smtpDelete' data-smtp='".$row['name']."&nbsp(".$row['host'].")' data-smtpid='".$row['id']."'>".DELETE."</button>
            <button type='button' class='btn btn-primary btn-xs pull-right' data-toggle='modal' data-target='#smtpTest' data-username='".$row['username']."' data-smtpid='".$row['id']."'>".TEST."</button>
        </td>
    </tr>";
}

?>

<div class="modal fade" id="smtpTest" tabindex="-1" role="dialog" aria-labelledby="tagDeleteLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="tagDeleteLabel"><?php echo SMTP_TESTING; ?></h4>
          </div>
            <form action="index.php?manage=smtp&data=modify&action=test" method="post">
                <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                <input type="hidden" name="smtpid" class="smtpid" value="">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="username" class="control-label"><?php echo SMTP_TESTING_EMAIL; ?></label>
                        <input type="email" class="form-control username" name="username" value="">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo CANCEL;?></button>
                    <button id="testConnection" type="submit" class="btn btn-primary"><?php echo SMTP_RUN_TEST;?></button>
                </div>
            </form>
                <div id="response" class="modal-body" style="display:none;">
                    <div class="form-group">
                        <p></p>
                    </div>
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo CLOSE;?></button>
                </div>
        </div>
    </div>
</div>

<div class="modal fade" id="smtpDelete" tabindex="-1" role="dialog" aria-labelledby="tagDeleteLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="tagDeleteLabel"><?php echo DELETING; ?></h4>
          </div>
            <form action="index.php?manage=smtp&data=modify&action=delete" method="post">
                <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                <div class="modal-body">
                    <input type="hidden" name="smtpid" class="smtpid" value="">
                    <div class="form-group">
                        <label for="smtp" class="control-label"><?php echo DELETING_CONFIRM_QUESTION; ?></label>
                        <input type="text" class="form-control smtp" disabled>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo CANCEL;?></button>
                    <button type="submit" class="btn btn-danger"><?php echo DELETE;?></button>
                </div>
            </form>
        </div>
    </div>
</div>



<?php echo 'Current PHP version: ' . phpversion();?>


<div class="page-title">
    <div class="title_left">
        <h3><?php echo MENU_SMTP_PARAMS;?> <small>(<?php echo SMTP_LIST;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo SMTP_INFO;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <table class="table table-striped responsive-utilities jambo_table" id="tags">
                    <thead>
                        <?php echo $tags_head; ?>
                    </thead>
                    <tbody>
                        <?php echo $tags_body; ?>
                    </tbody>
                </table>
            </div>
            <a href="index.php?manage=smtp&action=add" class="btn btn-primary"><?php echo SMTP_ADD_BUTTON;?></a>
        </div>
    </div>
</div>
<p>&nbsp;</p>

<script src="libs/datatable/dataTables-1.10.7.js"></script>
<script>
    $(document).ready(function () {
        
        $('#smtpTest').on('show.bs.modal', function (event) {
            $('#response').css({display: 'none'}).html('');
            var button = $(event.relatedTarget);
            var username = button.data('username');
            var smtpid = button.data('smtpid');
            var modal = $(this);
            modal.find('.smtpid').val(smtpid);
            modal.find('.username').val(username);
        });
        
        $('#smtpDelete').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget);
            var smtp = button.data('smtp');
            var smtpid = button.data('smtpid');
            var modal = $(this);
            modal.find('.smtpid').val(smtpid);
            modal.find('.smtp').val(smtp);
        });
            
        $.fn.dataTableExt.oStdClasses.sPageButton = "btn btn-default";
        
        $('#tags').DataTable({
            stateSave: true,
            language: dataTableTranslation
        });
        
        
        $('#testConnection').click(function(event){
            var username = $('input[name=username]').val();
            var smtpid = $('input[name=smtpid]').val();
            var csrf_token = $('input[name=csrf_token]').val();
            var button = $(this);
            
            button.addClass('disabled').removeClass('btn-primary').addClass('btn-warning');
            
            $('#response').css({display: 'none'}).html('');
            event.preventDefault();
            
            $.ajax({
                type : 'POST',
                url : 'index.php?manage=smtp&adata=modify&action=test',
                async: true,
                data: {
                    username : username,
                    smtpid : smtpid,
                    adata : '1',
                    csrf_token : csrf_token,
                },
                success: function(response) {
                    $('#response').css({display: 'block'}).html(response);
                    button.removeClass('disabled').addClass('btn-primary').removeClass('btn-warning');
                }
            });
            
        });

    });
</script>