<?php

defined('_MAILING') or die('Restricted access');

if (DEMO_MODE) {
    header("Location: index.php?manage=templates&action=list");
    exit();
}

$app->checkToken();

$subject = $_POST['subject'];
$name = $_POST['name'];
$content_html = stripslashes($_POST['content_html']);
$content_txt = $_POST['content_txt'];
$files = isset($_POST['files']) ? $_POST['files'] : 0 ;

$sql = "
    INSERT INTO m_template (
        subject,
        name,
        content_html,
        content_txt
    ) VALUES (
        :subject,
        :name,
        :content_html,
        :content_txt
    )
";
$stmt = $db->prepare($sql);
$stmt->bindParam(':subject', $subject, PDO::PARAM_STR);
$stmt->bindParam(':name', $name, PDO::PARAM_STR);
$stmt->bindParam(':content_html', $content_html, PDO::PARAM_STR);
$stmt->bindParam(':content_txt', $content_txt, PDO::PARAM_STR);
$stmt->execute();

$id = $db->lastInsertId();
if ($files != 0) {
    foreach ($files as $file) {
        $sql = "
            INSERT INTO m_template_att_conn (
                id_template,
                id_att
            ) VALUES (
                :id_template,
                :id_att
            )
        ";
        $stmt = $db->prepare($sql);
        $stmt->bindParam(':id_template', $id, PDO::PARAM_STR);    
        $stmt->bindParam(':id_att', $file,	PDO::PARAM_STR);
        $stmt->execute();
    }
}
    
header("Location: index.php?manage=templates&action=list");
