ALTER TABLE `m_campaign` CHANGE `name` `name` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_campaign` CHANGE `recipient_qty` `recipient_qty` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign` CHANGE `id_template` `id_template` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign` CHANGE `id_sender` `id_sender` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign` CHANGE `status` `status` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign` CHANGE `date_start` `date_start` TIMESTAMP NOT NULL DEFAULT '2000-01-01 00:00:01';

ALTER TABLE `m_campaign_rec_conn` CHANGE `id_campaign` `id_campaign` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign_rec_conn` CHANGE `id_recipient` `id_recipient` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign_rec_conn` CHANGE `date_sent` `date_sent` TIMESTAMP NOT NULL DEFAULT '2000-01-01 00:00:01';
ALTER TABLE `m_campaign_rec_conn` CHANGE `status` `status` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign_rec_conn` CHANGE `bounced` `bounced` INT(1) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign_rec_conn` CHANGE `rule_cat` `rule_cat` VARCHAR(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_campaign_rec_conn` CHANGE `clicked` `clicked` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_campaign_rec_conn` CHANGE `ip_receiver` `ip_receiver` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `m_geolocation` CHANGE `ip_receiver` `ip_receiver` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `user_agent` `user_agent` VARCHAR(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `city` `city` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `region` `region` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `country_code` `country_code` VARCHAR(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `country_name` `country_name` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `continent_code` `continent_code` VARCHAR(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `latitude` `latitude` VARCHAR(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `longitude` `longitude` VARCHAR(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `region_code` `region_code` VARCHAR(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `region_name` `region_name` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_geolocation` CHANGE `currency_code` `currency_code` VARCHAR(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `m_recipient` CHANGE `date_modify` `date_modify` TIMESTAMP NOT NULL DEFAULT '2000-01-01 00:00:01';
ALTER TABLE `m_recipient` CHANGE `person` `person` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_recipient` CHANGE `email` `email` VARCHAR(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_recipient` ADD `tag` VARCHAR(256) NOT NULL DEFAULT '' AFTER `email`;
ALTER TABLE `m_recipient` CHANGE `tag` `tag` VARCHAR(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_recipient` CHANGE `comment` `comment` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_recipient` CHANGE `txt_only` `txt_only` INT(1) NOT NULL DEFAULT '0';

ALTER TABLE `m_recipient_tag` CHANGE `name` `name` VARCHAR(48) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_recipient_tag` CHANGE `description` `description` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `m_recipient_tag_conn` CHANGE `id_recipient` `id_recipient` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_recipient_tag_conn` CHANGE `id_tag` `id_tag` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `m_sender` CHANGE `name` `name` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_sender` CHANGE `email` `email` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `m_smtp` CHANGE `name` `name` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `host` `host` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `smtpauth` `smtpauth` INT(1) NOT NULL DEFAULT '0';
ALTER TABLE `m_smtp` CHANGE `username` `username` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `password` `password` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `replytomail` `replytomail` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `replytoname` `replytoname` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `smtpsecure` `smtpsecure` VARCHAR(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `port` `port` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_smtp` CHANGE `maxlimit` `maxlimit` INT(11) NOT NULL DEFAULT '1000';
ALTER TABLE `m_smtp` CHANGE `verifypeer` `verifypeer` INT(1) NOT NULL DEFAULT '0';
ALTER TABLE `m_smtp` CHANGE `forcesmtp` `forcesmtp` INT(1) NOT NULL DEFAULT '0';
ALTER TABLE `m_smtp` CHANGE `bmh_server` `bmh_server` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `bmh_port` `bmh_port` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_smtp` CHANGE `bmh_service` `bmh_service` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `bmh_soption` `bmh_soption` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` CHANGE `bmh_folder` `bmh_folder` VARCHAR(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_smtp` ADD `login` VARCHAR(128) NOT NULL DEFAULT '' AFTER `username`;

ALTER TABLE `m_template` CHANGE `date_modify` `date_modify` TIMESTAMP NOT NULL DEFAULT '2000-01-01 00:00:01';
ALTER TABLE `m_template` CHANGE `name` `name` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';
ALTER TABLE `m_template` CHANGE `subject` `subject` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `m_template_att` CHANGE `filename` `filename` VARCHAR(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `m_template_att_conn` CHANGE `id_template` `id_template` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `m_template_att_conn` CHANGE `id_att` `id_att` INT(11) NOT NULL DEFAULT '0';

















